import express from "express";
import {
  createSizeDefination,
  deleteSizeById,
  getAllSizeDefinations,
  getSizeDefinationById,
  updateDefinition,
} from "../controllers/size_definaton";
const router = express.Router();

router.post("/createSizeDefinition", createSizeDefination);
router.get("/getAllSizeDefinitions", getAllSizeDefinations);
router.get("/getSizeDefinitionById/:id", getSizeDefinationById);
router.delete("/deleteDefinitionById/:id", deleteSizeById);
router.put("/updateDefinitionById/:id", updateDefinition);

export default router;
